Archive

What is the version of SQL JDBC Driver required for Splunk DB Connect 1.2 version app...?

SanthoshSreshta
Contributor

Hi.

I am trying to connect to a MSSQL server using the Splunk DB Connect 1.2 version of the app. It is showing incompatible Drivers.
Can anyone provide me the link for MS-SQL JDBC driver?
I have successfully connected to sql server using DB connect 1.1 version app. There I have used SQL jdbc 4.1, but I need it for the 1.2 version of app.
Links for reference happily accepted and appreciated.

Thanks
Santhosh

0 Karma

treinke
SplunkTrust
SplunkTrust

The documentation for the installation of the JDBC drivers is at: http://docs.splunk.com/Documentation/DBX/2.0.4/DeployDBX/Installdatabasedrivers

For Microsoft SQL, the Microsoft JDBC Drivers 4.1 and 4.0 for SQL Server is what you will want.
http://www.microsoft.com/download/details.aspx?id=11774

The steps to install them are here:
http://docs.splunk.com/Documentation/DBX/2.0.4/DeployDBX/Installdatabasedrivers#Microsoft_SQL_Server

SanthoshSreshta
Contributor

ThanQ so much for providing links @Anthony Reinke
I am not able to connect to Sql server in 1.2 version, I have used SQL JDBC 4 drive as per the documentation found
but can able to connect through Splunk DB connect 1.1 version. Can you please help me in this.?

ThanQ,
Santhosh.

0 Karma

treinke
SplunkTrust
SplunkTrust

What error are you getting?

0 Karma

SanthoshSreshta
Contributor

I am getting java.sql.SQLException: Network error IOException: Connection reset and object object error. 😞

0 Karma

j0shrice
Path Finder

did you get this error solved?

0 Karma
.conf21 CFS Extended through 5/20!

Don't miss your chance
to share your Splunk
wisdom in-person or
virtually at .conf21!

Call for Speakers has
been extended through
Thursday, 5/20!